## mozilla-thunderbird-locale-ko 0.8ubuntu1

=== debian/changelog ===
mozilla-thunderbird-locale-ko (0.8ubuntu1) hoary; urgency=low

  * Added language pack support
  * debian/control:
    - added alternative dependency to language-support-ko
    - replaced versioned dependency with versioned conflicts
  * debian/postinst, debian/postrm: only execute
    update-mozilla-thunderbird-chrome when it is actually available

 -- Martin Pitt <martin.pitt@canonical.com>  Tue, 16 Nov 2004 14:22:06 +0100

mozilla-thunderbird-locale-ko (0.8) unstable; urgency=low

  * Initial release (closes: bug#276445).

 -- Yooseong Yang <yooseong@debian.org>  Fri, 15 Oct 2004 17:12:54 +0900
