=== debian/control ===
Source: mozilla-thunderbird-locale-ko
Section: web
Priority: optional
Maintainer: Yooseong Yang <yooseong@debian.org>
Build-Depends-Indep: debhelper (>> 4.0.0), unzip (>> 5.0)
Standards-Version: 3.6.1

Package: mozilla-thunderbird-locale-ko
Architecture: all
Depends: mozilla-thunderbird | language-support-ko
Conflicts: mozilla-thunderbird (<< 0.8), mozilla-thunderbird (>= 0.8.0)
Description: Mozilla Thunderbird Korean Language/Region Package
 Korean Menu/Message resource and Region property package for Mozilla 
 Thunderbird.
