## mozilla-thunderbird-locale-ko 1.0.2.1-1

=== debian/changelog ===
mozilla-thunderbird-locale-ko (1.0.2.1-1) unstable; urgency=low

  * Modified rules in debian directory.

 -- Yooseong Yang <yooseong@debian.org>  Mon, 20 Apr 2005 20:10:54 +0900

mozilla-thunderbird-locale-ko (1.0.2.1) unstable; urgency=low

  * New Upstream release (closes: bug#305037).

 -- Yooseong Yang <yooseong@debian.org>  Mon, 18 Apr 2005 09:58:54 +0900
