=== debian/control ===
--- 
+++ 
@@ -7,8 +7,7 @@
 
 Package: mozilla-thunderbird-locale-ko
 Architecture: all
-Depends: mozilla-thunderbird | language-support-ko
-Conflicts: mozilla-thunderbird (<< 0.8), mozilla-thunderbird (>= 0.8.0)
+Depends: mozilla-thunderbird (>= 1.0)
 Description: Mozilla Thunderbird Korean Language/Region Package
  Korean Menu/Message resource and Region property package for Mozilla 
  Thunderbird.
